package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum DemandDataCategory {
	
	USERDEMAND(0, "个人用户需求"),
	ORGDEMAND(1, "团体组织用户需求"),
	OTHER(2, "其他");

	private DemandDataCategory(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, DemandDataCategory> status = new HashMap<Integer, DemandDataCategory>();

	static {
		for (DemandDataCategory value : DemandDataCategory.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static DemandDataCategory getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static DemandDataCategory getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
